
function validateDP(pageNum)
{
	var pctCompleted = 0.0;
	var missingFields = 0;
	var fieldCount = 1;
	switch (pageNum)
	{
	case '1':
		break;
	case '2':
		fieldCount = 4;
		if(!validateSelect('selBPPressure', 'Pressure Rating')) missingFields++;
		if(!validateText('txtBlowoutEquip', 'Equipment')) missingFields++;
		if(!validateRadio('rbReqVariance', 'Requesting Variance?')) missingFields++;
		if(getRadioCheckedValue('rbReqVariance') == 'Y') {
			fieldCount++;
			if(!validateText('txtVarianceRequest', 'Variance Request')) missingFields++;
		}
		if(!validateText('txtTestProcedure', 'Testing Procedure')) missingFields++;
		break;
	case '3':
		break;
	case '4':
		break;
	case '5':
		break;
	case '6':
		fieldCount = 3;
		if(!validateText('txtProdTests', 'List of production tests')) missingFields++;
		if(!validateText('txtHoleLogs', 'List of open and cased hole logs')) missingFields++;
		if(!validateText('txtCoring', 'Coring operation description')) missingFields++;
		break;
	case '7':
		fieldCount = 4;
		if(!validateText('numBHP', 'Bottom Hole Pressure')) missingFields++;
		if(!validateRadio('rbAbnormalPressure', 'Anticipated abnormal pressures, temperatures, or potential geologic hazards?')) missingFields++;
		if(getRadioCheckedValue('rbAbnormalPressure') == 'Y') {
			fieldCount++;
			if(!validateText('txtAbnormal', 'Describe anticipated abnormal pressures, temperatures, etc.')) missingFields++;
		}
		if(!validateTextOrDoc('txtGeoContingency', 'anchContingency', 'Contingency Plans geohazard description (or attachment)')) missingFields++;
		if(!validateRadio('rbH2S', 'Hydrogen sulfide drilling operations plan required?')) missingFields++;
		if(getRadioCheckedValue('rbH2S') == 'Y') {
			fieldCount++;
			if(!validateAttachment('anchH2SPlan', 'Hydrogen sulfide drilling operations plan')) missingFields++;
		}
		break;
	case '8':
		break;
	}
	pctCompleted = parseFloat((fieldCount-missingFields)/fieldCount);
	return pctCompleted;
}

function deleteFormation(repeatID)
{
	if(confirm('Are you sure you want to delete this row?'))  {
		document.getElementById('delAction').value = 'Delete';
		document.getElementById('delDPFormID').value = document.getElementById(repeatID+'oDPFormID').value;
		document.getElementById('delDPID').value = document.getElementById(repeatID+'oDPID').value;
		var evt = window.event;
		var sourceComponent = null;
		if ((evt != null) && (typeof(evt) != 'undefined'))
		{
			sourceComponent = (evt.target) ? evt.target : evt.srcElement;
			if (sourceComponent.nodeType == 3) // defeat Safari bug
			sourceComponent = sourceComponent.parentNode;
		}
		var objAction = {name: 'Action', option: 'Action', value: 'loadFormations.do'};
		var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent};
		var objSourceGroup = {name: 'SourceGroup', option: 'PageGroup', value: 'deleteGroup'};
		var objTargetGroup = {name: 'TargetGroup', option: 'PageGroup', value: 'ppgFormationTable'};
		var objValidate = {name: 'Validate', option: 'Static', value: 'false'};

		hyf.FMAction.handleAjaxSubmission(objAction, objSourceGroup, objTargetGroup, objValidate, objEventSource);
	}
}

function updateFormation(repeatID)  //copy data from selected row to popup dialog fields
{	
    document.getElementById('tabFormAction').value = 'Update';
    document.getElementById('popRowID').value = document.getElementById(repeatID+'oRowID').innerHTML;
    document.getElementById('popElevation').value = document.getElementById(repeatID+'oElevation').innerHTML;
    document.getElementById('popTVD').value = document.getElementById(repeatID+'oTVD').innerHTML;
    document.getElementById('popMD').value = document.getElementById(repeatID+'oMD').innerHTML;
    document.getElementById('popLithOther').value = document.getElementById(repeatID+'oLithOther').innerHTML;
    document.getElementById('popMinOther').value = document.getElementById(repeatID+'oMinOther').innerHTML;
    document.getElementById('popDPID').value = document.getElementById(repeatID+'oDPID').value;
    document.getElementById('popFormID').value = document.getElementById(repeatID+'oDPFormID').value;
	setSelect('popFormName', document.getElementById(repeatID+'oFormID').value);
//    for (i=0;i<document.getElementById('popFormName').length ;i++ )
//    {
//        if(document.getElementById('popFormName').options[i].value == document.getElementById(repeatID+'oFormID').value)
//            document.getElementById('popFormName').selectedIndex = i;
//    }
    for (i=0;i<document.getElementById('popLithology').length ;i++ )
    {
        if(document.getElementById('popLithology').options[i].value == document.getElementById(repeatID+'oLithID').value)
            document.getElementById('popLithology').selectedIndex = i;
    }
    for (i=0;i<document.getElementById('popMineral').length ;i++ )
    {
        if(document.getElementById('popMineral').options[i].value == document.getElementById(repeatID+'oMinID').value)
            document.getElementById('popMineral').selectedIndex = i;
    }
	setRadioCheckedValue('popProdFormation', getRadioCheckedValue(repeatID+'oProdFormation'));
}

function computeLength(measure)
{
	var top = document.getElementById('popTop'+measure).value;
	var bottom = document.getElementById('popBottom'+measure).value;
	
	top = (isNaN(top) ? 0 : top);
	bottom = (isNaN(bottom) ? 0 : bottom);
	var length = bottom - top;

	document.getElementById('Length'+measure).innerHTML = length;
	document.getElementById('popLength'+measure).value = length;
}

function computeMSL(loc)
{
	var TVD = document.getElementById('pop'+loc+'TVD').value;
	TVD = (isNaN(TVD) ? 0 : TVD);
	var elevation = document.getElementById('surfaceElevation').value;
	elevation = (isNaN(elevation) ? 0 : elevation);

	var MSL = elevation - TVD;

	document.getElementById('pop'+loc+'MSL').value = MSL;
	document.getElementById(loc+'MSL').innerHTML = MSL;
	computeLength('MSL');
}

function updateCasing(repeatID)  //function to copy casing row to popup dialog fields for editing
{
    document.getElementById('tabFormAction').value = 'Update';
	setSelect('popStringType', document.getElementById(repeatID+'oStringTypeID').value);
    document.getElementById('popStringTypeOther').value = getOutputValue(repeatID+'oStringName');
    document.getElementById('popHoleSize').value = getOutputValue(repeatID+'oHoleSize');
    document.getElementById('popTopMD').value = getOutputValue(repeatID+'oTopMD');
    document.getElementById('popTopTVD').value = getOutputValue(repeatID+'oTopTVD');
    document.getElementById('popTopMSL').value = getOutputValue(repeatID+'oTopMSL');
    document.getElementById('TopMSL').innerHTML = getOutputValue(repeatID+'oTopMSL');
    document.getElementById('popBottomMD').value = getOutputValue(repeatID+'oBottomMD');
    document.getElementById('popBottomTVD').value = getOutputValue(repeatID+'oBottomTVD');
    document.getElementById('popBottomMSL').value = getOutputValue(repeatID+'oBottomMSL');
    document.getElementById('popLengthMD').value = getOutputValue(repeatID+'oCasingLengthMD');
    document.getElementById('LengthMD').innerHTML = getOutputValue(repeatID+'oCasingLengthMD');
    document.getElementById('popLengthTVD').value = getOutputValue(repeatID+'oCasingLengthTVD');
    document.getElementById('LengthTVD').innerHTML = getOutputValue(repeatID+'oCasingLengthTVD');
    document.getElementById('popLengthMSL').value = getOutputValue(repeatID+'oCasingLengthMSL');
    document.getElementById('LengthMSL').innerHTML = getOutputValue(repeatID+'oCasingLengthMSL');
	//setSelect('popCasingSize', document.getElementById(repeatID+'oSizeID').value;
    document.getElementById('popSizeOther').value = getOutputValue(repeatID+'oCasingSizeOther');
	setSelect('popCasingGrade', document.getElementById(repeatID+'oGradeID').value);
    document.getElementById('popGradeOther').value = getOutputValue(repeatID+'oGradeOther');
    document.getElementById('popWeight').value = getOutputValue(repeatID+'oWeight');
	setSelect('popJoint', document.getElementById(repeatID+'oJointID').value);
    document.getElementById('popJointOther').value = getOutputValue(repeatID+'oJointOther');
	setRadioCheckedValue('popCondition', getRadioCheckedValue(repeatID+'rbCondition'));
	setRadioCheckedValue('popStandard', getRadioCheckedValue(repeatID+'rbStandard'));
    document.getElementById('popCollapseSF').value = getOutputValue(repeatID+'oCollapseSF');
    document.getElementById('popCollapseCalc').value = getOutputValue(repeatID+'oCollapseCalc');
    document.getElementById('popBurstSF').value = getOutputValue(repeatID+'oBurstSF');
    document.getElementById('popBurstCalc').value = getOutputValue(repeatID+'oBurstCalc');
	setRadioCheckedValue('popJointSFType', getRadioCheckedValue(repeatID+'rbJointSF'));
    document.getElementById('popJointSF').value = document.getElementById(repeatID+'oJointSF').value;
    document.getElementById('popJointCalc').value = document.getElementById(repeatID+'oJointCalc').value;
	setRadioCheckedValue('popBodySFType', getRadioCheckedValue(repeatID+'rbBodySF'));
    document.getElementById('popBodySF').value = document.getElementById(repeatID+'oBodySF').value;
    document.getElementById('popBodyCalc').value = document.getElementById(repeatID+'oBodyCalc').value;
    document.getElementById('popDPID').value = document.getElementById(repeatID+'oDPID').value;
    document.getElementById('popCasingID').value = document.getElementById(repeatID+'oCasingID').value;
}

function deleteCasing(repeatID)
{
	if(confirm('Are you sure you want to delete this row?'))  {
		document.getElementById('delAction').value = 'Delete';
		document.getElementById('delCasingID').value = document.getElementById(repeatID+'oCasingID').value;
		document.getElementById('delDP_ID').value = document.getElementById(repeatID+'oDPID').value;
		var evt = window.event;
		var sourceComponent = null;
		if ((evt != null) && (typeof(evt) != 'undefined'))
		{
			sourceComponent = (evt.target) ? evt.target : evt.srcElement;
			if (sourceComponent.nodeType == 3) // defeat Safari bug
			sourceComponent = sourceComponent.parentNode;
		}
		var objAction = {name: 'Action', option: 'Action', value: 'loadCasings.do'};
		var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent};
		var objSourceGroup = {name: 'SourceGroup', option: 'PageGroup', value: 'deleteGroup'};
		var objTargetGroup = {name: 'TargetGroup', option: 'PageGroup', value: 'ppgCasingTable'};
		var objValidate = {name: 'Validate', option: 'Static', value: 'false'};

		hyf.FMAction.handleAjaxSubmission(objAction, objSourceGroup, objTargetGroup, objValidate, objEventSource);
	}
}

function updateCement(repeatID)
{
    document.getElementById('tabAction').value = 'Update';
    document.getElementById('popTopMD').value = document.getElementById(repeatID+'oTopMD').innerHTML;
    document.getElementById('popBottomMD').value = document.getElementById(repeatID+'oBottomMD').innerHTML;
    document.getElementById('popCementType').value = document.getElementById(repeatID+'oCementType').innerHTML;
    document.getElementById('popAdditives').value = document.getElementById(repeatID+'oAdditives').innerHTML;
    document.getElementById('popQuantitySKS').value = document.getElementById(repeatID+'oQuantitySKS').innerHTML;
    document.getElementById('popYield').value = document.getElementById(repeatID+'oYield').innerHTML;
    document.getElementById('popDensity').value = document.getElementById(repeatID+'oDensity').innerHTML;
    document.getElementById('popVolume').value = document.getElementById(repeatID+'oVolume').innerHTML;
    document.getElementById('popDepthDV').value = document.getElementById(repeatID+'oDepthDV').innerHTML;
    document.getElementById('popDPID').value = document.getElementById(repeatID+'oDPID').value;
    document.getElementById('popCementID').value = document.getElementById(repeatID+'oCasingID').value;
}

function updateMud(repeatID)
{
    document.getElementById('tabAction').value = 'Update';
    document.getElementById('popTopDepth').value = document.getElementById(repeatID+'oTopDepth').innerHTML;
    document.getElementById('popBottomDepth').value = document.getElementById(repeatID+'oBottomDepth').innerHTML;
    document.getElementById('popMudType').value = document.getElementById(repeatID+'oMudType').innerHTML;
    document.getElementById('popMinWeight').value = document.getElementById(repeatID+'oMinWeight').innerHTML;
    document.getElementById('popMaxWeight').value = document.getElementById(repeatID+'oMaxWeight').innerHTML;
    document.getElementById('popCharacteristics').value = document.getElementById(repeatID+'oCharacteristics').innerHTML;
    document.getElementById('popCircMedID').value = document.getElementById(repeatID+'CIRC_MED_ID').value;
}

function deleteMud(repeatID)
{
	if(confirm('Are you sure you want to delete this row?'))  {
		document.getElementById('delAction').value = 'Delete';
		document.getElementById('delMudID').value = document.getElementById(repeatID+'CIRC_MED_ID').value;
		var evt = window.event;
		var sourceComponent = null;
		if ((evt != null) && (typeof(evt) != 'undefined'))
		{
			sourceComponent = (evt.target) ? evt.target : evt.srcElement;
			if (sourceComponent.nodeType == 3) // defeat Safari bug
			sourceComponent = sourceComponent.parentNode;
		}
		var objAction = {name: 'Action', option: 'Action', value: 'loadMud.do'};
		var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent};
		var objSourceGroup = {name: 'SourceGroup', option: 'PageGroup', value: 'deleteGroup'};
		var objTargetGroup = {name: 'TargetGroup', option: 'PageGroup', value: 'ppgMudTable'};
		var objValidate = {name: 'Validate', option: 'Static', value: 'false'};

		hyf.FMAction.handleAjaxSubmission(objAction, objSourceGroup, objTargetGroup, objValidate, objEventSource);
	}
}