//return the curretly selected value of a radio group (or empty string if no selection has been made)
function getRadioCheckedValue(radioName) 
{
	var oRadio = document.getElementsByName(radioName);
	for(var i = 0; i < oRadio.length; i++) 
	{
		if(oRadio[i].checked) {
			return oRadio[i].value;
		}
	}
	return '';
} 

//set a radio group to the specified value
function setRadioCheckedValue(radioName, targetValue) 
{
	var oRadio = document.getElementsByName(radioName);
	for(var i = 0; i < oRadio.length; i++) 
	{
		if(oRadio[i].value == targetValue) {
			oRadio[i].checked = true;
		} else {
			oRadio[i].checked = false;
		}
	}
} 
 
function getOutputValue(fieldName)  //function to return the value (or empty string) of an output field
{
	var val = document.getElementById(fieldName).innerHTML;
	if (val == '&nbsp;')
		return '';
	else
		return val;
}
//function to check if a specific value in a mult-select has been selected
function isValueSelected(controlName, targetValue)
{
	var selected = false;

	var i = 1;
	var chkObj = document.getElementById(controlName+i);
	while(chkObj != null)
	{
		if(chkObj.checked && chkObj.value == targetValue)  {
			selected = true;
			break;
		}
		i++;
		chkObj = document.getElementById(controlName+i);
	}
	return selected;
}

//function to set a select list to a specified value
function setSelect(controlID, targetValue)
{
    var len=document.getElementById(controlID).length;

    for(i=0; i<len; i++)
    {
        if (document.getElementById(controlID).options[i].value == targetValue)
            document.getElementById(controlID).selectedIndex = i;
    }
}

//check combo box to see if selection has been made
function validateSelect(selName, friendlyName)
{
    if (document.getElementById(selName).selectedIndex == 0) {
        validationMsg = validationMsg + '\n   '+friendlyName;
        return false;
    }
    return true;
}

//validate that a textbox or textarea has an entered value
function validateText(txtName, friendlyName)
{
    if (null == document.getElementById(txtName).value || document.getElementById(txtName).value == '') {
        validationMsg = validationMsg + '\n   '+friendlyName;
        return false;
    }
    return true;
}

//validate a radio group - any selection has been made
function validateRadio(rbName, friendlyName)
{
    if (getRadioCheckedValue(rbName) == '') {
        validationMsg = validationMsg + '\n   '+friendlyName;
        return false;
    }
    return true;
}

//validate that a single checkbox has been checked
function validateCheckbox(chkName, friendlyName)
{
    if (!document.getElementById(chkName).checked) {
        validationMsg = validationMsg + '\n   '+friendlyName;
        return false;
    }
    return true;
    
}

//validate that at least one selection is made in a multi-check
function validateMultiCheck(chkName, friendlyName)
{
	var valid = false;

	var i = 1;
	var chkObj = chkName+i;
	while(document.getElementById(chkObj) != null)
	{
		if(document.getElementById(chkObj).checked)  {
			valid = true;
			break;
		}
		i++;
		chkObj = chkName+i;
	}
	if(! valid)
        validationMsg = validationMsg + '\n   '+friendlyName;
	return valid;
}

function validateTextOrDoc(txtName, docName, friendlyMsg)
{
	var valid = false;

    if (null != document.getElementById(txtName).value && document.getElementById(txtName).value != '') {
		valid = true;
	} else {
	//validate attachment path
	}
	if(! valid)
        validationMsg = validationMsg + '\n   '+friendlyMsg;
	return valid;
}

function validateAttachment(attachName, friendlyMsg)
{
	var valid = true;

	//validate attachment path
	if(! valid)
        validationMsg = validationMsg + '\n   '+friendlyMsg;
	return valid;
}
function checkValidationResult(fieldName, friendlyName)
{
	alert('validating '+fieldName+', value is: '+document.getElementById(fieldName).value);
	if (document.getElementById(fieldName).value == 'NO') {
        validationMsg = validationMsg + '\n   '+friendlyName;
        return false;
    }
    return true;
}